# Payload (Crawler-commons 0.6-SNAPSHOT API)
Date: 2015-05-26

crawlercommons.fetcher

## Class Payload

- java.lang.Object
- - crawlercommons.fetcher.Payload

All Implemented Interfaces:
  Map<String,Object>

    public class Payload
    extends Object
    implements Map<String,Object>

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`Payload()`

### Method Summary

Methods
`void` `clear()`
`boolean` `containsKey(Object key)`
`boolean` `containsValue(Object value)`
`Set<Map.Entry<String,Object>>` `entrySet()`
`boolean` `equals(Object o)`
`Object` `get(Object key)`
`int` `hashCode()`
`boolean` `isEmpty()`
`Set<String>` `keySet()`
`Object` `put(String key, Object value)`
`void` `putAll(Map<? extends String,? extends Object> m)`
`Object` `remove(Object key)`
`int` `size()`
`Collection<Object>` `values()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Payload

    public Payload()

### Method Detail

#### clear

    public void clear()

Specified by:
  `clear` in interface `Map<String,Object>`

#### containsKey

    public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map<String,Object>`

#### containsValue

    public boolean containsValue(Object value)

Specified by:
  `containsValue` in interface `Map<String,Object>`

#### entrySet

    public Set<Map.Entry<String,Object>> entrySet()

Specified by:
  `entrySet` in interface `Map<String,Object>`

#### equals

    public boolean equals(Object o)

Specified by:
  `equals` in interface `Map<String,Object>`
Overrides:
  `equals` in class `Object`

#### get

    public Object get(Object key)

Specified by:
  `get` in interface `Map<String,Object>`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `Map<String,Object>`
Overrides:
  `hashCode` in class `Object`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map<String,Object>`

#### keySet

    public Set<String> keySet()

Specified by:
  `keySet` in interface `Map<String,Object>`

#### put

    public Object put(String key,
             Object value)

Specified by:
  `put` in interface `Map<String,Object>`

#### putAll

    public void putAll(Map<? extends String,? extends Object> m)

Specified by:
  `putAll` in interface `Map<String,Object>`

#### remove

    public Object remove(Object key)

Specified by:
  `remove` in interface `Map<String,Object>`

#### size

    public int size()

Specified by:
  `size` in interface `Map<String,Object>`

#### values

    public Collection<Object> values()

Specified by:
  `values` in interface `Map<String,Object>`